[linux-audio-user] Re: cannot compile alsa for 2.6.2

Christian Henz chrhenz at gmx.de
Thu Feb 19 09:32:43 EST 2004


On Thu, Feb 19, 2004 at 03:20:42PM +0100, David Baron wrote:
> Tried symlinks in the alsa source directory. No change.
> 
> On Thursday 19 February 2004 13:55, 
> linux-audio-user-request at music.columbia.edu wrote:
> > David Baron wrote:
> > > Contrary to popular belief, this kernel does not "come with" these
> > > built in!
> >
> > Last time I looked, it still did come with ALSA.  Which doesn't mean
> > that it wasn't some obsolete version, so you might still want to
> > compile ALSA separately.
> 
> The config file show nothing about ALSA at all. I would assume there would be 
> entries such as:
> SND_******* y or m
> Actually, modules are being loaded but they may be coming from the older 
> kernel. Alsa starts but the mixer fails to save or restore.
> /proc/asounc/cards has nothing.
> 

Linux 2.6.2 had 0.9.7 drivers, Linux 2.6.3 has 1.0.2c drivers! 

Just a wild guess, I haven't used debianized 2.6 sources yet: maybe they threw 
ALSA out so it doesn't conflict with alsa-source?

cheers,
Christian Henz


More information about the linux-audio-user mailing list